'###################################################
'servotreibertestrnsx.bas
'fr
'RoboterNetz Standard-Roboter Board RBNFRA ab V1.1
'Achtung, dieses Demo ist nur fr Servotreiber RNS1 (siehe Download) gedacht
'
'Aufgabe:
'10 Servos ber CoController ansteueren
'Fr die Ansteuerung muss ein RS232 Jumper oder eine
'Brcke gesteckt werden, siehe Tips im Roboternetz Projektforum
'Das Demo dreht erst langsam Servo 1 von Pos 1 zu 255 und
'danach wechselt es schnell 4 mal die Seite. Danach beginnt es von vorn
'Natrlich kann man auch 10 Servos gleichzeitig ansteuern, der
'bersicht wegen hier nur das Beispiel mit einem Servo
'
'Autor: Frank
'Weitere Beispiele und Beschreibung zur rnbfra
'unter http://www.Roboternetz.de + robotikhardware.de
'###################################################
' Command Format I      STANDARD RNS1
' "#" "s" srvNr ; Srvpos
' srvNr:   byte 1 -  10
' srvpos:  byte 0 - 255
'###################################################
' Command Format II     EXTENDED:  Positon als WORD
' "#" "s" srvNr ; Srvpos
' srvNr:   byte 65 -  74              ("A" - "J")
' srvpos:  word 550 - 2100
'###################################################
' Command Format III
' "#" "s" "S"
'         speichen alle momentanen positionen ins EEPROM des CoProc
'###################################################
' Command Format III
' "#" "s" "L"
'         laden der aller positionen aus dem EEPROM des CoProc
'###################################################


$regfile = "m32def.dat"
$crystal = 8000000                                          'Quarzfrequenz
$baud = 9600

Const Srv_c_min = 550                                       '  Ganz Links
Const Srv_c_max = 2100                                      '  Ganz rechts


Dim I As Word

      Wait 5

Wiederhole:
   For I = Srv_c_min To Srv_c_max Step 5

      Print "#s" ; "A" ;
      Printbin I

      Print "#s" ; "B" ;
      Printbin I

      Waitms 20
   Next I
   For I = Srv_c_max To Srv_c_min Step -5

      Print "#s" ; "A" ;
      Printbin I

      Print "#s" ; "B" ;
      Printbin I

      Waitms 20
   Next I
Goto Wiederhole


End